#ifndef _LINUX_LPID_H_
#define _LINUX_LPID_H_

/***************************************************************************
 *
 * linux_lpid.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Linux uses ints for pids.  This file invents a LOMAC-specific lpid_t
 * type for pids, so we can port LOMAC to OSs that don't use ints.
 *
 *
 ***************************************************************************/


typedef int lpid_t;   /* map linux pid type to LOMAC lpid_t type */

#endif
