#ifndef _LINUX_LGID_H_
#define _LINUX_LGID_H_

/***************************************************************************
 *
 * linux_lgid.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * maps Linux-specific gid_t to LOMAC's abstract lgid data type.
 *
 *
 ***************************************************************************/

#include <linux/types.h>   /* for gid_t */

typedef gid_t lgid_t;   /* map linux gid_t type to LOMAC gid type */

#endif
