#ifndef _LOMAC_FSOLM_H_
#define _LOMAC_FSOLM_H_

/***************************************************************************
 *
 * lomac_fsolm.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 *
 * This is the public interface to the FileSystem Object Level Map (FSOLM).
 *
 ***************************************************************************/

#include "lomac_level.h"    /* for level_t */

void    init_fsolm( void );
void    fsolm_set_for_new_object( lvnode_t *, int );
void    fsolm_set_for_existing_object( lvnode_t *, int );
void    fsolm_set_to_same( lvnode_t *, lvnode_t * );
level_t fsolm_get( lvnode_t * );
int     will_confuse_glm( lgid_t, lgid_t );

#endif
