#ifndef _LOMAC_LEVEL_H_
#define _LOMAC_LEVEL_H_

/**************************************************************************
 *
 * lomac_level.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 * 
 *
 * should this become lomac.h?
 *
 **************************************************************************/

#ifdef SERVER_POLICY
#define LOMAC_HIGHEST_LEVEL 3
#else
#define LOMAC_HIGHEST_LEVEL 2
#endif

#define LOMAC_LOWEST_LEVEL  1
#define LOMAC_INVALID_LEVEL 0
typedef unsigned int level_t;

#endif
