#ifndef _LOMAC_VLM_H_
#define _LOMAC_VLM_H_

/***************************************************************************
 *
 * lomac_vlm.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 *
 * public interface to lomac_vlm.c
 *
 ***************************************************************************/

#include "lomac_level.h"     /* for level_t */

void    init_vlm( void );
void    vlm_set( lvnode_id_t *, level_t );
level_t vlm_get( lvnode_id_t * );
void    vlm_remove( lvnode_id_t * );

#endif



