#ifndef _LOMAC_MONITOR_H_
#define _LOMAC_MONITOR_H_

/****************************************************************************
 *
 * lomac_monitor.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 *
 *
 ****************************************************************************/


void monitor_read( lvnode_t *, char * ); 
int  monitor_kill( int, int );
int  monitor_write( lvnode_t *, char * ); 
int  has_sufficient_privilege( void );
void handle_unix_domain_bind( lvnode_t *, lvnode_t * );
void handle_unix_domain_accept_connect( lvnode_t *, lvnode_t * );
int  monitor_pgrp_change( lprocess_t *, lpid_t, lpid_t );
void handle_exec( const char * );

#endif
