#ifndef _LOMAC_NLM_H_
#define _LOMAC_NLM_H_

/***************************************************************************
 *
 * lomac_nlm.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 *
 * public interface to lomac_nlm.c
 *
 ***************************************************************************/

#include "lomac_level.h"     /* for level_t */

void init_nlm( void );
level_t nic_to_level( lnic_t * );


#endif
